Bug 229728 - graphics/opencolorio: remove BROKEN
Summary: graphics/opencolorio: remove BROKEN
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks: 201763
  Show dependency treegraph
 
Reported: 2018-07-12 12:27 UTC by Greg V
Modified: 2018-07-16 11:14 UTC (History)
4 users (show)

See Also:
FreeBSD: maintainer-feedback+


Attachments
opencolorio.patch (898 bytes, patch)
2018-07-12 12:27 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2018-07-12 12:27:03 UTC
Created attachment 195079 [details]
opencolorio.patch

https://github.com/freebsd/freebsd-ports/commit/d19ffea93fa7a60f89d0870efae87169f351b42d

I'm not sure what changed because the version number didn't, but it did compile on aarch64 for me.

And it should compile everywhere, e.g. Debian has it for mips and power too:
https://packages.debian.org/jessie/libopencolorio1
Comment 1 Shane 2018-07-13 04:31:13 UTC
Comment on attachment 195079 [details]
opencolorio.patch

Looks good to me
Comment 2 Shane 2018-07-13 04:34:45 UTC
Is it meant to accept maintainer feedback change to + on the patch details? I tried a couple of times but it doesn't stick, even when I also add a note.
Comment 3 mikael.urankar 2018-07-13 11:31:43 UTC
You should only unbreak arch that are known to build successfully (ie not based on what linux does)
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2018-07-13 13:57:20 UTC
(In reply to Shane from comment #2)

IIUC the MAINTAINER string must match exactly.  Was that the case here?
Comment 5 Shane 2018-07-14 05:47:01 UTC
(In reply to Mark Linimon from comment #4)

It should, I know patches I submit allow me to set maintainer approved and setting maintainer approved in the top section worked.
Comment 6 Walter Schwarzenfeld freebsd_triage 2018-07-14 21:04:55 UTC
Seems to work on 11.2 armv6
https://karlsen.tech/freebsd/buildlogs/graphics_opencolorio_229728.testport.log
Comment 7 commit-hook freebsd_committer 2018-07-16 11:12:26 UTC
A commit references this bug:

Author: swills
Date: Mon Jul 16 11:12:22 UTC 2018
New revision: 474730
URL: https://svnweb.freebsd.org/changeset/ports/474730

Log:
  graphics/opencolorio: remove BROKEN

  PR:		229728
  Submitted by:	Greg V <greg@unrelenting.technology>
  Approved by:	Shane <FreeBSD@ShaneWare.Biz> (maintainer

Changes:
  head/graphics/opencolorio/Makefile
Comment 8 Steve Wills freebsd_committer 2018-07-16 11:14:29 UTC
This built OK for me on arm type architectures (aarch64, armv7, armv6). Wasn't able to test on mips64 due to a dependency failing or on sparc64 or powerpc64 due to other issues, but given it at least fixed it on arm, let's give it a shot on the others.